wxWidgets: wxDatagramSocket Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxDatagramSocket Class Reference
Class List by Category » Networking

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/socket.h>`

Inheritance diagram for wxDatagramSocket:
[legend]

## Detailed Description

Todo
  docme

##

Library: wxNet
Category: Networking

## Public Member Functions
| wxDatagramSocket (const wxSockAddress &addr, wxSocketFlags flags=wxSOCKET_NONE)
| Constructor.
virtual | ~wxDatagramSocket ()
| Destructor.
wxDatagramSocket & | SendTo (const wxSockAddress &address, const void *buffer, wxUint32 nbytes)
| Write a buffer of nbytes bytes to the socket.
Public Member Functions inherited from wxSocketBase
bool | Error () const
| Returns true if an error occurred in the last IO operation.
virtual bool | GetLocal (wxSockAddress &addr) const
| Return the local address of the socket.
virtual bool | GetPeer (wxSockAddress &addr) const
| Return the peer address field of the socket.
long | GetTimeout () const
| Return the socket timeout in seconds.
bool | IsConnected () const
| Returns true if the socket is connected.
bool | IsData ()
| Check if the socket can be currently read or written.
bool | IsDisconnected () const
| Returns true if the socket is not connected.
bool | IsOk () const
| Returns true if the socket is initialized and ready and false in other cases.
wxUint32 | LastCount () const
| Returns the number of bytes read or written by the last IO call.
wxUint32 | LastReadCount () const
| Returns the number of bytes read by the last Read() or ReadMsg() call (receive direction only).
wxUint32 | LastWriteCount () const
| Returns the number of bytes written by the last Write() or WriteMsg() call (transmit direction only).
wxSocketError | LastError () const
| Returns the last wxSocket error.
void | RestoreState ()
| Restore the previous state of the socket, as saved with SaveState().
void | SaveState ()
| Save the current state of the socket in a stack.
virtual bool | Close ()
| Shut down the socket, disabling further transmission and reception of data and disable events for the socket and frees the associated system resources.
void | ShutdownOutput ()
| Shuts down the writing end of the socket.
wxSocketBase & | Discard ()
| Delete all bytes in the incoming queue.
wxSocketFlags | GetFlags () const
| Returns current IO flags, as set with SetFlags().
void | InterruptWait ()
| Use this function to interrupt any wait operation currently in progress.
wxSocketBase & | Peek (void *buffer, wxUint32 nbytes)
| Peek into the socket by copying the next bytes which would be read by Read() into the provided buffer.
wxSocketBase & | Read (void *buffer, wxUint32 nbytes)
| Read up to the given number of bytes from the socket.
wxSocketBase & | ReadMsg (void *buffer, wxUint32 nbytes)
| Receive a message sent by WriteMsg().
void | SetFlags (wxSocketFlags flags)
| Use SetFlags to customize IO operation for this socket.
virtual bool | SetLocal (const wxIPV4address &local)
| Set the local address and port to use.
void | SetTimeout (long seconds)
| Set the default socket timeout in seconds.
wxSocketBase & | Unread (const void *buffer, wxUint32 nbytes)
| Put the specified data into the input queue.
bool | Wait (long seconds=-1, long millisecond=0)
| Wait for any socket event.
bool | WaitForLost (long seconds=-1, long millisecond=0)
| Wait until the connection is lost.
bool | WaitForRead (long seconds=-1, long millisecond=0)
| Wait until the socket is readable.
bool | WaitForWrite (long seconds=-1, long millisecond=0)
| Wait until the socket becomes writable.
wxSocketBase & | Write (const void *buffer, wxUint32 nbytes)
| Write up to the given number of bytes to the socket.
wxSocketBase & | WriteMsg (const void *buffer, wxUint32 nbytes)
| Sends a buffer which can be read using ReadMsg().
void * | GetClientData () const
| Returns a pointer of the client data for this socket, as set with SetClientData().
void | Notify (bool notify)
| According to the notify value, this function enables or disables socket events.
void | SetClientData (void *data)
| Sets user-supplied client data for this socket.
void | SetEventHandler (wxEvtHandler &handler, int id=-1)
| Sets an event handler to be called when a socket event occurs.
void | SetNotify (wxSocketEventFlags flags)
| Specifies which socket events are to be sent to the event handler.
wxSOCKET_T | GetSocket () const
| Returns the native socket descriptor.
| wxSocketBase ()
| Default constructor.
virtual | ~wxSocketBase ()
| Destructor.
bool | Destroy ()
| Destroys the socket safely.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
static bool | Initialize ()
| Perform the initialization needed in order to use the sockets.
static void | Shutdown ()
| Shut down the sockets.
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxDatagramSocket()

wxDatagramSocket::wxDatagramSocket | ( | const wxSockAddress & | addr,
|  | wxSocketFlags | flags = wxSOCKET_NONE )

Constructor.

Parameters

  addr | The socket address.
  flags | Socket flags (See wxSocketBase::SetFlags()).

## ◆ ~wxDatagramSocket()

virtual wxDatagramSocket::~wxDatagramSocket | ( |  | ) |
| virtual

Destructor.

Please see wxSocketBase::Destroy().

## Member Function Documentation

## ◆ SendTo()

wxDatagramSocket & wxDatagramSocket::SendTo | ( | const wxSockAddress & | address,
|  | const void * | buffer,
|  | wxUint32 | nbytes )

Write a buffer of nbytes bytes to the socket.

Use wxSocketBase::LastWriteCount() to verify the number of bytes actually wrote. Use wxSocketBase::Error() to determine if the operation succeeded.

Parameters

  address | The address of the destination peer for this data.
  buffer | Buffer where read data is.
  nbytes | Number of bytes.

Returns
  Returns a reference to the current object.

See also
  wxSocketBase::LastError(), wxSocketBase::SetFlags()